VSTGUI: CViewContainerDropTarget Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
CViewContainerDropTarget Struct Reference
Inheritance diagram for CViewContainerDropTarget:

## Public Member Functions
| CViewContainerDropTarget (CViewContainer *container)
CPoint | getLocalPos (const CPoint &pos) const
DragOperation | onDragEnter (DragEventData data) final
| a drag enters the drop target
DragOperation | onDragMove (DragEventData data) final
| a drag moves over the drop target
void | onDragLeave (DragEventData data) final
| a drag leaves the drop target
bool | onDrop (DragEventData data) final
| a drop happens on the drop target
Public Member Functions inherited from ReferenceCounted< int32_t >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Public Attributes
CViewContainer * | container
SharedPointer< IDropTarget > | dropTarget
SharedPointer< CView > | currentDragView

## Constructor & Destructor Documentation

## ◆ CViewContainerDropTarget()

CViewContainerDropTarget | ( | CViewContainer * | container | ) |
| inline

## Member Function Documentation

## ◆ getLocalPos()

CPoint getLocalPos | ( | const CPoint & | pos | ) | const
| inline

## ◆ onDragEnter()

DragOperation onDragEnter | ( | DragEventData | data | ) |
| inlinefinalvirtual

a drag enters the drop target

Parameters

  data | drag event data

Returns
  drag operation

Implements IDropTarget.

## ◆ onDragLeave()

void onDragLeave | ( | DragEventData | data | ) |
| inlinefinalvirtual

a drag leaves the drop target

Parameters

  data | drag event data

Implements IDropTarget.

## ◆ onDragMove()

DragOperation onDragMove | ( | DragEventData | data | ) |
| inlinefinalvirtual

a drag moves over the drop target

Parameters

  data | drag event data

Returns
  drag operation

Implements IDropTarget.

## ◆ onDrop()

bool onDrop | ( | DragEventData | data | ) |
| inlinefinalvirtual

a drop happens on the drop target

Parameters

  data | drag event data

Implements IDropTarget.

## Member Data Documentation

## ◆ container

CViewContainer* container

## ◆ currentDragView

SharedPointer<CView> currentDragView

## ◆ dropTarget

SharedPointer<IDropTarget> dropTarget

The documentation for this struct was generated from the following file:

- cviewcontainer.cpp